News

Samstag, 18.Oktober 2008

Mailform wird ab nun in der t3-forge weiterentwickelt

Sonntag, 12.Oktober 2008

Die Version 0.9.8 bietet vermehrt Funktionen an um in allfälligen Zusatzextensions verwenden zu...

Sonntag, 28.September 2008

Diese Version bringt eine kleine Änderung mit sich, dass die Felder nun fast völlig frei innerhalb...

mehr News »

Wichtige Infos zum Versionsupdate

Ihre Mailform-Version auf eine Aktuelle updaten

Insgesamt ist das Update auf eine neue Version unproblematisch. Generell wird dies sehr empfohlen.

Checkliste

  • Templates sind Up-To Date mit den vorhandenen Feldtypen (CSS / mailform_fields.tmpl)
  • Alte Extension speichern für Notfälle (Extension-Manager)
  • Mailform-Content Elemente im Wizard öffnen und wieder abspeichern.

 

Aufgrund der Updates in der Betaphase können immer noch Template umstrukturierungen vorgenommen werden. Aufgrund dessen ist es wichtig die auf der Webseite veröffentlichten Template Dateien zu verwenden. (mailform.typo3-extensions.ch/...). Diese Dateien finden Sie auch im Extension-Ordner 'EXT:mailform/template'. Falls eine Template-Datei nicht gefunden wird, wird automatisch die Datei in diesem Verzeichnis gewählt.

Falls Sie wünschen, entsprechende Template Anpassungen für Ihre Seite zu machen, sollten Sie vermeiden die Dateien in diesem Verzeichnis anzupassen, da diese beim Updaten wieder überschrieben werden!

Wenn Sie ein Template an einem externen Ort (Ausserhalb des Extension Verzeichnis) abgelegt haben, sollten Sie beim Updaten überprüfen, dass neue Feldtypen auch in diesem Template vorhanden sind. Ansonsten würde dies zu einer Fehlerausgabe im Frontend.

Beim Updaten ist des Weiteren zu Beachten, dass XML Strukturen ändern können. Das heisst, das Format in dem der Wizard die Informationen speichert, können ändern. Der Wizard sollte demfalls kurz geöffnet, überprüft und anschliessend das Formular wieder gespeichert werden, damit das Formular richtig angezeigt wird.

 

Hinweise zum Update auf die Version 0.9 Beta

Beim Update auf die Version 0.9 und höher von 0.8 aus sind folgende Sachen zu Beachten:

Aufgrund der Änderungen im Frontend-Template muss nun das mailform_fields.tmpl auf jeder Installation angepasst werden. Folgende Feld-Typen sind betroffen: Radio, Checkbox.